## netsim netsim |

## Properties

gfloat | delay-probability | Read / Write / Construct
guint | drop-packets | Read / Write / Construct
gfloat | drop-probability | Read / Write / Construct
gfloat | duplicate-probability | Read / Write / Construct
gint | max-delay | Read / Write / Construct
gint | min-delay | Read / Write / Construct
gboolean | allow-reordering | Read / Write / Construct
GstNetSimDistribution | delay-distribution | Read / Write / Construct
gint | max-bucket-size | Read / Write / Construct
gint | max-kbps | Read / Write / Construct

## Types and Values

struct | GstNetSim
enum | GstNetSimDistribution

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstNetSim

## Description

## Synopsis

### Element Information

plugin | netsim
author | Philippe Kalaf <philippe.kalaf@collabora.co.uk>, Havard Graff <havard@pexip.com>
class | Filter/Network

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### struct GstNetSim

    struct GstNetSim;

### enum GstNetSimDistribution

#### Members

DISTRIBUTION_UNIFORM |  |
DISTRIBUTION_NORMAL |  |
DISTRIBUTION_GAMMA |  |

## Property Details

### The `“delay-probability”` property

      “delay-probability”        gfloat

The Probability a buffer is delayed.

Flags: Read / Write / Construct

Allowed values: [0,1]

Default value: 0

### The `“drop-packets”` property

      “drop-packets”             guint

Drop the next n packets.

Flags: Read / Write / Construct

Default value: 0

### The `“drop-probability”` property

      “drop-probability”         gfloat

The Probability a buffer is dropped.

Flags: Read / Write / Construct

Allowed values: [0,1]

Default value: 0

### The `“duplicate-probability”` property

      “duplicate-probability”    gfloat

The Probability a buffer is duplicated.

Flags: Read / Write / Construct

Allowed values: [0,1]

Default value: 0

### The `“max-delay”` property

      “max-delay”                gint

The maximum delay (inclusive) in ms to apply to buffers.

Flags: Read / Write / Construct

Default value: 400

### The `“min-delay”` property

      “min-delay”                gint

The minimum delay in ms to apply to buffers.

Flags: Read / Write / Construct

Default value: 200

### The `“allow-reordering”` property

      “allow-reordering”         gboolean

When delaying packets, are they allowed to be reordered or not. By default this is enabled, but in the real world packet reordering is fairly uncommon, yet the delay functions will always introduce reordering if delay > packet-spacing, This property allows switching that off.

Flags: Read / Write / Construct

Default value: TRUE

Since: 1.14

### The `“delay-distribution”` property

      “delay-distribution”       GstNetSimDistribution

Distribution for the amount of delay.

Flags: Read / Write / Construct

Default value: uniform

Since: 1.14

### The `“max-bucket-size”` property

      “max-bucket-size”          gint

The size of the token bucket, related to burstiness resilience.

Flags: Read / Write / Construct

Allowed values: >= G_MAXULONG

Default value: -1

Since: 1.14

### The `“max-kbps”` property

      “max-kbps”                 gint

The maximum number of kilobits to let through per second. Setting this property to a positive value enables network congestion simulation using a token bucket algorithm. Also see the "max-bucket-size" property,

Flags: Read / Write / Construct

Allowed values: >= G_MAXULONG

Default value: -1

Since: 1.14